package network.protocol.packets;

import network.protocol.Packet;
import network.protocol.PacketVisitor;
import network.protocol.Packets;

public class KeepAlivePacket extends Packet {

	static private final long serialVersionUID = Packets.KeepAlive.ordinal();

	private final long keepAliveId;

	public KeepAlivePacket(long keepAliveId) {
		this.keepAliveId = keepAliveId;
	}

	public long getKeepAliveId() {
		return keepAliveId;
	}

	@Override
	public void accept(PacketVisitor packetVisitor) {
		packetVisitor.visitPacket(this);
	}

}
